package alchemyst_go

import (
	"encoding/json"
	"fmt"
	"lab.zaar.be/thefish/alchemyst-go/engine/gamemap"
	"testing"
)

func TestSerializeTile (t *testing.T) {
	wt := gamemap.NewWaterTile()
	txt, err := json.Marshal(wt)
	if err != nil {
		t.Log(err)
		t.Fail()
	}
	fmt.Printf("%s", txt)
}
